GuideLab API

Set Default Clinic Payment Method

Set a saved payment method as the default for the authenticated clinic with a specific lab. Clinic-owner only.

PUT
/clinic-payment-methods/{id}

Set a saved payment method as the default for the authenticated clinic with a specific lab. Clinic-owner only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Stripe payment method ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/clinic-payment-methods/pm_1234567890abcdef" \  -H "Content-Type: application/json" \  -d '{    "labId": "string"  }'
{  "success": true}
{  "error": "string"}
{  "error": "string"}
Empty